//http://www.cs.bu.edu/teaching/c/file-io/intro/
float _Complex* load_signal(int *lp){
	FILE *ifp;
	const char *in_mode = "r";
	const char *in_filename = "../data/bpsk.txt";

	ifp= fopen(in_filename, in_mode);

	if (ifp == NULL) {
		fprintf(stderr, "Can't open input file %s\n",in_filename);
		exit(1);
	}

	double z;
	//int
	int l = 0;
	while ( (fscanf(ifp, "%lf", &z) != EOF) ){
		l++;
	}
	rewind(ifp);
	*lp=l;

	//double *x = (double*)malloc(l*sizeof (double));
	float _Complex *x = (float _Complex*)malloc(l*sizeof (float _Complex));
	if(x == NULL)
	{
		fprintf(stderr, "out of memory\n");
		exit(EXIT_FAILURE);
	}

	int c = 0;
	while ( (fscanf(ifp, "%lf", &z) != EOF) && (c < l) ){
		x[c] = z;
		c++;
	}

	fclose(ifp);
	ifp=NULL;

	return x;
}
