#!/usr/bin/gnuplot
reset

set output "/dev/null"
stats '../results/results.txt' using 1 nooutput
max=STATS_max;

set terminal png
set datafile separator ','

set xlabel "Number of Processing Cores"
set ylabel "Speedup"
set title "Sp = T1 / Tp"

set grid ytics lc rgb "#bbbbbb" lw 1 lt 0
set grid xtics lc rgb "#bbbbbb" lw 1 lt 0

plot "../results/results.txt" using 2:(max/$1) w linespoints title ''
set output "../results/speedup.png"; replot
