#!/bin/bash
gcc pcpd.c -o pcpd -std=c99 -lm -fopenmp -lfftw3f_omp -lfftw3f
# Note that Code Ocean has only 4 physical cores available (8 with hyperthreading)
MAX_CORES=4
for i in `seq 1 $MAX_CORES`;
do
    export OMP_NUM_THREADS=$i
    ./pcpd 512 32 11
done
# Plot speedup using gnuplot
gnuplot ./plotter.sh
