int save_signal(float _Complex **S, const int N, const int newk){ //S[maxalpha][newk]

	FILE *S_re;
	const char *S_re_mode = "w";
	const char *S_re_filename = "../results/S_re.txt";
	S_re = fopen(S_re_filename, S_re_mode);

	if (S_re == NULL) {
		fprintf(stderr, "Can't open output file %s\n",S_re_filename);
		exit(1);
	}

	FILE *S_im;
	const char *S_im_mode = "w";
	const char *S_im_filename = "../results/S_im.txt";
	S_im = fopen(S_im_filename, S_im_mode);

	if (S_im == NULL) {
		fprintf(stderr, "Can't open output file %s\n",S_re_filename);
		exit(1);
	}


	// Save the real and imaginary part of S, each in a different file
	for(int k=0; k<newk; k++){
		for(int alpha=0; alpha<N; alpha++){
			fprintf(S_re,"%e\t", creal( S[alpha][k] ));
			fprintf(S_im,"%e\t", cimag( S[alpha][k] ));
		}
		fprintf(S_re,"\n");
		fprintf(S_im,"\n");
	}

	fclose(S_re);
	fclose(S_im);

	return 0;
}
